> ## Documentation Index
> Fetch the complete documentation index at: https://kb.talostrading.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Asset profiles data (experimental)

> Returns profile data for assets.<br/> Results are ordered by `asset`.<br/> To fetch the next page of results use `next_page_url` JSON response field.<br/> If `supply_cap` is not present then the theoretical maximum supply is infinite for that asset.



## OpenAPI

````yaml /coinmetrics/openapi/coinmetrics.yaml get /profile/assets
openapi: 3.0.2
info:
  title: Coin Metrics API v4
  description: >-
    [Coin Metrics Homepage](https://coinmetrics.io/)<br/> [API Backward
    Compatibility
    Policy](https://docs.coinmetrics.io/access-our-data/api#backward-compatibility)<br/>
    [Python API
    Client](https://coinmetrics.github.io/api-client-python/site/index.html)<br/><br/>

    HTTP API root endpoint URL is `https://api.coinmetrics.io/v4`. Coin
    Metrics&apos; paid product.<br/> WebSocket API root endpoint is
    `wss://api.coinmetrics.io/v4`. Coin Metrics&apos; paid product.<br/><br/>
    The Community HTTP API root endpoint URL is
    `https://community-api.coinmetrics.io/v4`. API key is not required when
    accessing community endpoints. Available to the community under the
    [Creative Commons](https://creativecommons.org/licenses/by-nc/4.0/) license.

    # Authentication

    <!-- ReDoc-Inject: <security-definitions> -->

    # Response headers

    Note that Coin Metrics API responses have a `CF-RAY` HTTP header e.g.
    `88a6ec1d2f930774-IAD` which can be used for diagnostic purposes. When
    raising Support requests, please ensure to provide the value of this
    header. 
  termsOfService: https://coinmetrics.io/api/terms
  contact:
    name: Coin Metrics Support
    url: https://coinmetrics.io/support/
    email: support@coinmetrics.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 4.0.0
servers:
  - url: https://api.coinmetrics.io/v4
  - url: wss://api.coinmetrics.io/v4
  - url: https://community-api.coinmetrics.io/v4
security: []
tags:
  - name: Rate limits
    description: >-
      To ensure the quality of Coin Metrics services, API is subject to rate
      limiting.<br/> <table> <tr><th>Rate Limit Plan</th><th>REST API: Requests
      per Second (sliding window)</th><th>REST API: Download Speed</th><th>REST
      API: Max Parallel Requests</th><th>WebSocket API: Max Parallel
      Connections</th></tr> <tr><td>Community</td><td>10 requests per 6 seconds
      per IP address</td><td>Reduced speed</td><td>10</td><td>N/A</td></tr>
      <tr><td>Trial</td><td>10 requests per 6 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> <tr><td>Default (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Standard
      speed</td><td>10</td><td>200</td></tr> <tr><td>Download (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> </table> <br/> All PRO keys by
      default get the "default" rate limits. To download historical data at max
      speed, you need to switch to the "download" plan. <br/> <br/> The paid and
      community versions of the API have a limit of 10 parallel REST API
      requests. After this limit is reached, further parallel requests will be
      queued, so performance will be slower.<br/> <br/> If you reach the
      request-per-second limit, API starts to return `429 Too Many Requests`
      HTTP response status.<br/> API also provides `X-RateLimit-*` response
      headers formatted according to
      https://tools.ietf.org/html/draft-polli-ratelimit-headers-03.<br/>
      Additionally, the API provides the `X-RateLimit-Plan` header which
      indicates the current rate limiting plan. This header may have values:
      `default`, `trial`, `download`, or `community`.
    x-cm-gitbook:
      foldIntoInfo: true
  - name: Reference Data
    description: Metadata information of entities supported by Coin Metrics.
    x-cm-gitbook:
      tag: Meta Data
      icon: book
  - name: Catalog
    x-displayName: Catalog (deprecated)
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full
      catalog](#tag/Full-catalog) endpoints for the full list of supported by
      Coin Metrics data. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Catalog v2
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full catalog
      V2](#tag/Full-catalog-v2) endpoints for the full list of supported by Coin
      Metrics data.
    x-cm-gitbook:
      icon: list-check
  - name: Full catalog
    x-displayName: Full catalog (deprecated)
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog) endpoint. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Full catalog v2
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog-v2) endpoint.
    x-cm-gitbook:
      tag: Catalog v2
      icon: layer-group
  - name: Timeseries
    description: >-
      Endpoints for fetching metrics, market data, indexes and other time series
      data.
    x-cm-gitbook:
      icon: chart-line
      renameOperationsTo: Timeseries REST
  - name: Timeseries stream
    description: >-
      WebSocket endpoints for getting a real-time stream of metrics, market
      data, indexes and other time series data.
    x-cm-gitbook:
      tag: Timeseries
      icon: wifi
  - name: Taxonomy
    description: Taxonomy endpoints
    x-cm-gitbook:
      icon: sitemap
  - name: Taxonomy Metadata
    description: Taxonomy Metadata endpoints
    x-cm-gitbook:
      tag: Taxonomy
      icon: tags
  - name: Profile
    description: Profile endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: id-card
  - name: List of blockchain entities v2
    description: Endpoints for fetching lists of blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: list
  - name: Full blockchain entities v2
    description: Endpoints for fetching full blockchain entities.
    x-cm-gitbook:
      tag: List of blockchain entities v2
      icon: database
  - name: Jobs
    description: Jobs API endpoints
    x-cm-gitbook:
      tag: ATLAS
      icon: briefcase
  - name: Blockchain Explorer Job
    description: Endpoints for creating async jobs for blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: clock
  - name: Blockchain Explorer Job Results
    description: Schema definitions of results of Blockchain Explorer Job endpoints.
    x-cm-gitbook:
      foldInto: Blockchain Explorer Job
  - name: Chain Monitor tools
    description: Endpoints for working with chain monitor data.
    x-cm-gitbook:
      tag: ATLAS
      icon: wrench
  - name: Security Master
    description: Security Master endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: shield
  - name: Constituent Snapshots
    description: Endpoints for getting the snapshots of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: camera
  - name: Constituent Timeframes
    description: Endpoints for getting the timeframes of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: calendar
  - name: Blockchain Metadata
    description: Blockchain metadata endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: database
  - name: Meta Data
    x-cm-gitbook:
      icon: database
  - name: ATLAS
    x-cm-gitbook:
      icon: map
  - name: Timeseries REST
    x-cm-gitbook:
      tag: Timeseries
      icon: table
paths:
  /profile/assets:
    servers:
      - url: https://api.coinmetrics.io/v4
    get:
      tags:
        - Profile
      summary: Asset profiles data (experimental)
      description: >-
        Returns profile data for assets.<br/> Results are ordered by
        `asset`.<br/> To fetch the next page of results use `next_page_url` JSON
        response field.<br/> If `supply_cap` is not present then the theoretical
        maximum supply is infinite for that asset.
      operationId: getAssetProfiles
      parameters:
        - $ref: '#/components/parameters/AssetProfileAssetIds'
        - $ref: '#/components/parameters/AssetProfileFullNames'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PagingFromWithStartByDefault'
        - $ref: '#/components/parameters/NextPageToken'
        - $ref: '#/components/parameters/Pretty'
      responses:
        '200':
          $ref: '#/components/responses/AssetProfiles'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '414':
          $ref: '#/components/responses/UriTooLong'
      security:
        - api_key: []
      x-codeSamples:
        - lang: Shell
          label: Shell
          source: >
            curl --compressed
            "https://api.coinmetrics.io/v4/profile/assets?api_key=<your_key>"
        - lang: Python
          label: Python
          source: >
            import requests

            response =
            requests.get('https://api.coinmetrics.io/v4/profile/assets?api_key=<your_key>').json()

            print(response)
        - lang: Python
          label: Python Client
          source: |
            from coinmetrics.api_client import CoinMetricsClient
            client = CoinMetricsClient(<your_key>)

            response = client.get_asset_profiles().to_list()
            print(response)
components:
  parameters:
    AssetProfileAssetIds:
      description: >-
        Comma separated list of asset ids.<br/> By default profile data for all
        assets is returned. Mutually exclusive with `full_names` parameter.
      in: query
      name: assets
      required: false
      schema:
        type: array
        items:
          type: string
      explode: false
    AssetProfileFullNames:
      description: >-
        Comma separated list of asset full names.<br/> By default profile data
        for all assets is returned. Mutually exclusive with `assets` parameter.
      in: query
      name: full_names
      required: false
      schema:
        type: array
        items:
          type: string
      explode: false
    PageSize:
      description: >-
        Number of items per single page of results.<br/> The value of this
        parameter is ignored if the endpoint supports the `format` parameter and
        its value is set to `json_stream`.
      in: query
      name: page_size
      schema:
        default: 100
        type: integer
        format: int32
        minimum: 1
        maximum: 10000
    PagingFromWithStartByDefault:
      description: >-
        Where does the first page start, at the start of the interval or at the
        end.<br/> The value of this parameter is ignored if the endpoint
        supports the `format` parameter and its value is set to `json_stream`.
      in: query
      name: paging_from
      schema:
        default: start
        enum:
          - start
          - end
        type: string
        format: PagingFrom
    NextPageToken:
      description: >-
        Token for receiving the results from the next page of a query.<br/>
        Should not be used directly. To iterate through pages just use
        `next_page_url` response field.
      in: query
      name: next_page_token
      schema:
        type: string
    Pretty:
      description: Human-readable formatting of JSON responses.
      in: query
      name: pretty
      schema:
        type: boolean
        default: false
  responses:
    AssetProfiles:
      description: Asset profiles data.
      content:
        application/json:
          example:
            data:
              - asset: eth
                full_name: Ethereum
                description: >-
                  Ethereum is a decentralized computing platform that allows
                  users to create, deploy and interact with programs known as
                  smart contracts.
                overview: >-
                  Ethereum is a decentralized computing platform that allows
                  users to create, deploy and interact with programs known as
                  smart contracts. Ethereum is a transaction based state
                  machine, meaning that at any point in time the state of the
                  Ethereum network is represented by a mapping of accounts to
                  their associated balance or state. The state of the Ethereum
                  network is updated every time a new block is added to the
                  chain, roughly every 12 seconds. Each block contains
                  information regarding new transactions and is linked to the
                  previous block. The ETH 1.0 chain used a proof-of-work
                  consensus protocol similar to the one implemented by Bitcoin.
                  However, in September 2022 Ethereum transitioned to a new
                  proof-of-stake consensus mechanism that will help reduce fees
                  and increase speed. In a proof-of-stake network, validators
                  stake ETH capital (32 ETH) in a smart contract as a deterrent
                  to act dishonestly. Validators in the network are responsible
                  for validating blocks sent into the network, and creating new
                  blocks when directed. Ethereum also has the capability for
                  users to create smart contracts that are written in a high
                  level language, compiled into bytecode and sent to a contract.
                  The Ethereum Virtual Machine handles all of the bytecode and
                  imposes the coded logic. Smart contracts allow developers to
                  impose logic and rules upon interactions, ultimately creating
                  a product that provides value on the chain. Examples of
                  products built on Ethereum include Aave, a lending platform,
                  and Livepeer, a video streaming infrastructure. Ethereum also
                  provides the framework to create many different types of
                  assets with rules. Examples of popular smart contracts include
                  ERC-20, a framework to create tokens on Ethereum, or ERC-721,
                  a framework for NFTs. Users can interact with smart contracts
                  once they have been deployed allowing for the creation of
                  decentralized applications and additional use cases.
                creation_date: '2015-07-30'
                token_purpose:
                  - Fee Token
                  - Staking Token
                project_team: N/A
                foundation: Ethereum Foundation
                website: https://ethereum.org/en/
                whitepaper_url: https://ethereum.org/en/whitepaper/#ethereum-whitepaper
                token_generation_event_supply: '72009990.5'
                supply_cap: N/A
                vesting_schedule:
                  - vesting_schedule_allocation: N/A
                    vesting_schedule_cliff: N/A
                    vesting_schedule_total_unlock_time: N/A
                new_token_issuance_recipient:
                  - Validator
                issuing_networks:
                  - Ethereum
                issuance_schedule_changes: >-
                  Ethereum issuance when using Proof-of-Work began at 5 ETH per
                  block, lowering to 3 ETH per block after the Byzantium fork in
                  October 2017, and again to 2 ETH per block after the
                  Constantinople fork in February 2019. After the merge and
                  Ethereum's migration to Proof-of-Stake, ETH is issued by
                  calculating 166 times the square root of the sum of staked
                  ETH. ETH issuance fluctuates consistently depending on the
                  amount staked and amount of ETH participating in each epoch,
                  overall decreasing when more ETH is staked.
                significant_historical_changes:
                  - date: '2016-06-17'
                    details: Ethereum DAO was hacked for $50 million
                  - date: '2021-09-15'
                    details: >-
                      EIP-1559 was introduced restructuring the fee market and
                      introducing a variable base fee that is burned
                  - date: '2024-03-13'
                    details: >-
                      Ethereum migrated from Proof-of-Work to Proof-of-Stake
                      completing the merge
                upgrade_history:
                  - date: '2016'
                    details: >-
                      DAO Fork - Roll back after DAO $50 million in DAO funds
                      were stolen, creating Ethereum Classic and today's
                      Ethereum chain
                  - date: '2017'
                    details: >-
                      Byzantium - Reduced block rewards from 5 ETH to 3 ETH,
                      delayed difficulty bomb by 1 year, increased transaction
                      privacy and Layer-2 network scaling activities
                  - date: '2019'
                    details: >-
                      Constantinople - Reduced block rewards from 3 ETH to 2 ETH
                      and EVM gas optimizations
                  - date: '2021'
                    details: >-
                      London - Introduction of EIP-1559 with optimized fee
                      mechanisms separating base fee and priority fee for
                      transaction inclusion in current block
                blog_updates: https://blog.ethereum.org/
                project_github_repository:
                  - https://github.com/ethereum
                asset_regulation: Indirectly
                asset_regulated_products:
                  - ETH Spot ETFs
                etp_custodians:
                  - Coinbase Custody Trust Company, LLC
                  - Fidelity Digital Asset Services, LLC
                  - Gemini Trust Company, LLC
            next_page_token: YnRj
            next_page_url: >-
              https://api.coinmetrics.io/v4/profile/assets?api_key=<your_key>&pretty=true&next_page_token=YnRj
          schema:
            $ref: '#/components/schemas/AssetProfilesResponse'
    Unauthorized:
      description: Requested resource requires authorization.
      content:
        application/json:
          examples:
            unauthorized:
              summary: Unauthorized error response.
              value:
                error:
                  type: unauthorized
                  message: Requested resource requires authorization.
            wrong_credentials:
              summary: Wrong credentials error response.
              value:
                error:
                  type: wrong_credentials
                  message: Supplied credentials are not valid.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Forbidden:
      content:
        application/json:
          example:
            error:
              type: forbidden
              message: >-
                Requested metric 'SplyBMXNtv' with frequency '1d' for asset
                'btc' is not available with supplied credentials.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
      description: Requested resource is not available with supplied credentials.
    UriTooLong:
      description: Provided URI is too long. It must not be greater than 10000 symbols.
  schemas:
    AssetProfilesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AssetProfileInfo'
          type: array
        next_page_token:
          $ref: '#/components/schemas/NextPageToken'
        next_page_url:
          $ref: '#/components/schemas/NextPageUrl'
      required:
        - data
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorObject'
      required:
        - error
      type: object
    AssetProfileInfo:
      description: Asset profile data.
      properties:
        asset:
          $ref: '#/components/schemas/AssetId'
        full_name:
          $ref: '#/components/schemas/AssetProfileFullName'
        description:
          $ref: '#/components/schemas/AssetProfileDescription'
        overview:
          $ref: '#/components/schemas/AssetProfileOverview'
        token_purpose:
          type: array
          items:
            $ref: '#/components/schemas/AssetProfileTokenPurpose'
          description: Purpose of the asset.
        project_team:
          $ref: '#/components/schemas/AssetProfileProjectTeam'
        foundation:
          $ref: '#/components/schemas/AssetProfileFoundation'
        website:
          $ref: '#/components/schemas/AssetProfileWebsiteUrl'
        whitepaper_url:
          $ref: '#/components/schemas/AssetProfileWhitepaperUrl'
        creation_date:
          $ref: '#/components/schemas/AssetProfileCreationDate'
        token_generation_event_supply:
          $ref: '#/components/schemas/AssetProfileTokenGenerationEventSupply'
        supply_cap:
          $ref: '#/components/schemas/AssetProfileSupplyCap'
        initial_supply_token_distribution:
          type: array
          items:
            $ref: '#/components/schemas/AssetProfileInitialSupplyProjectDistribution'
          description: Initial supply distribution.
        vesting_schedule:
          type: array
          items:
            $ref: '#/components/schemas/AssetProfileVestingSchedule'
          description: Asset's vesting schedule.
        new_token_issuance_recipient:
          type: array
          items:
            $ref: '#/components/schemas/AssetProfileNewTokenIssuanceRecipient'
          description: Token issuance recipient.
        issuing_networks:
          type: array
          items:
            $ref: '#/components/schemas/AssetProfileIssuingNetwork'
          description: Issuing network.
        bridged_networks:
          type: array
          items:
            $ref: '#/components/schemas/AssetProfileBridgedNetwork'
          description: Bridged network.
        issuance_schedule_changes:
          $ref: '#/components/schemas/AssetProfileIssuanceScheduleChanges'
        significant_historical_changes:
          type: array
          items:
            $ref: '#/components/schemas/AssetProfileSignificantHistoricalChanges'
          description: Significant historical changes.
        upgrade_history:
          type: array
          items:
            $ref: '#/components/schemas/AssetProfileUpgradeHistory'
          description: Asset's upgrade history.
        blog_updates:
          $ref: '#/components/schemas/AssetProfileBlogUpdates'
        project_github_repository:
          type: array
          items:
            $ref: '#/components/schemas/ProfileRepository'
          description: Asset's repository.
        asset_regulation:
          $ref: '#/components/schemas/AssetProfileAssetRegulation'
        asset_regulated_products:
          type: array
          items:
            $ref: '#/components/schemas/AssetProfileAssetRegulatedProduct'
          description: Asset's regulated product.
        etp_custodians:
          type: array
          items:
            $ref: '#/components/schemas/AssetProfileEtpCustodian'
          description: Asset's ETP custodian.
      type: object
      required:
        - asset
        - full_name
        - description
        - overview
        - creation_date
    NextPageToken:
      description: Token of the next page results for a given request.
      type: string
    NextPageUrl:
      description: URL of the next page results for a given request.
      type: string
    ErrorObject:
      properties:
        type:
          description: Error type string. Can be used for error identification.
          type: string
        message:
          description: >-
            Human-friendly error description. Can be amended without prior
            notification. Do not use for error identification in your code.
          type: string
      required:
        - type
        - description
      type: object
    AssetId:
      description: Unique name of the asset.
      type: string
    AssetProfileFullName:
      description: Full name of the asset.
      type: string
    AssetProfileDescription:
      description: Description of the asset.
      type: string
    AssetProfileOverview:
      description: Overview of the asset.
      type: string
    AssetProfileTokenPurpose:
      type: string
    AssetProfileProjectTeam:
      description: Asset's project team.
      type: string
    AssetProfileFoundation:
      description: Asset foundation.
      type: string
    AssetProfileWebsiteUrl:
      description: Official website URL of the asset.
      type: string
    AssetProfileWhitepaperUrl:
      description: Official whitepaper URL of the asset.
      type: string
    AssetProfileCreationDate:
      description: Date of the asset creation (first block) in ISO 8601 format.
      type: string
      format: date-time
    AssetProfileTokenGenerationEventSupply:
      description: Asset's token generation event supply.
      type: string
    AssetProfileSupplyCap:
      description: >-
        Supply cap of the asset. If not present then the theoretical maximum
        supply is infinite for that asset.
      type: string
      format: int64
    AssetProfileInitialSupplyProjectDistribution:
      type: object
      properties:
        initial_supply_allocation:
          $ref: '#/components/schemas/AssetProfileInitialSupplyAllocation'
        initial_supply_distribution:
          $ref: '#/components/schemas/AssetProfileInitialSupplyDistribution'
    AssetProfileVestingSchedule:
      type: object
      properties:
        vesting_schedule_allocation:
          $ref: '#/components/schemas/AssetProfileVestingScheduleAllocation'
        vesting_schedule_cliff:
          $ref: '#/components/schemas/AssetProfileVestingScheduleCliff'
        vesting_schedule_total_unlock_time:
          $ref: '#/components/schemas/AssetProfileVestingScheduleTotalUnlockTime'
    AssetProfileNewTokenIssuanceRecipient:
      description: Token issuance recipient.
      type: string
    AssetProfileIssuingNetwork:
      type: string
    AssetProfileBridgedNetwork:
      type: string
    AssetProfileIssuanceScheduleChanges:
      description: Issuance schedule changes.
      type: string
    AssetProfileSignificantHistoricalChanges:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/AssetProfileSignificantHistoricalChangesDate'
        details:
          $ref: '#/components/schemas/AssetProfileSignificantHistoricalChangesDetails'
    AssetProfileUpgradeHistory:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/AssetProfileUpgradeHistoryDate'
        details:
          $ref: '#/components/schemas/AssetProfileUpgradeHistoryDetails'
    AssetProfileBlogUpdates:
      description: Asset's blog updates.
      type: string
    ProfileRepository:
      type: string
    AssetProfileAssetRegulation:
      description: Asset's regulation.
      type: string
    AssetProfileAssetRegulatedProduct:
      type: string
    AssetProfileEtpCustodian:
      type: string
    AssetProfileInitialSupplyAllocation:
      description: Initial supply allocation.
      type: string
      format: int64
    AssetProfileInitialSupplyDistribution:
      description: Initial supply distribution.
      type: string
    AssetProfileVestingScheduleAllocation:
      description: Vesting schedule allocation.
      type: string
    AssetProfileVestingScheduleCliff:
      description: Vesting schedule cliff.
      type: string
    AssetProfileVestingScheduleTotalUnlockTime:
      description: Vesting schedule total unlock time.
      type: string
      format: date-time
    AssetProfileSignificantHistoricalChangesDate:
      description: Date of significant historical change.
      type: string
    AssetProfileSignificantHistoricalChangesDetails:
      description: Details about significant historical change.
      type: string
    AssetProfileUpgradeHistoryDate:
      description: Date of the upgrade.
      type: string
    AssetProfileUpgradeHistoryDetails:
      description: Details about the upgrade.
      type: string
  securitySchemes:
    api_key:
      description: Coin Metrics API key can be specified as `?api_key=` query parameter.
      in: query
      name: api_key
      type: apiKey

````